## org.apache.mahout.common
Class IntPairWritable.FirstGroupingComparator

    java.lang.Object
      org.apache.hadoop.io.WritableComparator
          org.apache.mahout.common.IntPairWritable.FirstGroupingComparator

All Implemented Interfaces:
  Serializable, Comparator, org.apache.hadoop.io.RawComparator

Enclosing class:
  IntPairWritable

    public static class IntPairWritable.FirstGroupingComparator

extends org.apache.hadoop.io.WritableComparator
implements Serializable

Compare only the first part of the pair, so that reduce is called once for each value of the first part.

See Also:
  Serialized Form

Constructor Summary
`IntPairWritable.FirstGroupingComparator()`

Method Summary
`int` `compare(byte[] b1, int s1, int l1, byte[] b2, int s2, int l2)`
`int` `compare(Object o1, Object o2)`

Methods inherited from class org.apache.hadoop.io.WritableComparator
`compare, compareBytes, define, get, getKeyClass, hashBytes, hashBytes, newKey, readDouble, readFloat, readInt, readLong, readUnsignedShort, readVInt, readVLong`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### IntPairWritable.FirstGroupingComparator

    public IntPairWritable.FirstGroupingComparator()

Method Detail

### compare

    public int compare(byte[] b1,
                       int s1,
                       int l1,
                       byte[] b2,
                       int s2,
                       int l2)

  Specified by:
    `compare` in interface `org.apache.hadoop.io.RawComparator`
  Overrides:
    `compare` in class `org.apache.hadoop.io.WritableComparator`

### compare

    public int compare(Object o1,
                       Object o2)

  Specified by:
    `compare` in interface `Comparator`
  Overrides:
    `compare` in class `org.apache.hadoop.io.WritableComparator`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.